This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 630474 - clang++ has wrong include paths
clang++ has wrong include paths
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-05 16:09 EDT by Seppo Yli-Olli
Modified: 2010-09-28 01:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: llvm-2.7-9.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-28 01:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Seppo Yli-Olli 2010-09-05 16:09:05 EDT
Description of problem:
clang++ searches headers under /usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3 when it should be using /usr/lib/gcc/x86_64-redhat-linux/4.5.1/.

Version-Release number of selected component (if applicable):
clang-2.7.7-fc14
llvm-2.7.7-fc14

How reproducible:
Always

Steps to Reproduce:
1. Make a trivial C++ foo.cpp that includes cstdio
2. Compile it with command "clang++ -v foo.cpp"
  
Actual results:
Doesn't compile, ignoring non-existent directories when searching for headers

Expected results:
Should compile

Additional info:
Comment 1 Seppo Yli-Olli 2010-09-05 16:14:08 EDT
Fixing rignt Fedora version.
Additionally /usr/include/c++/4.4.3 -> /usr/include/c++/4.5.1 with Fedora 13 -> Fedora 14.
Comment 2 Michel Alexandre Salim 2010-09-20 07:14:06 EDT
clang has a rather hack-ish way of finding the include directory. I'll change the way we build ours so that instead of hard-coding it in the script, we discover it at compile time, that way a GCC mass-rebuild would automatically cause the right path to be used.
Comment 3 Fedora Update System 2010-09-20 09:59:19 EDT
llvm-2.7-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/llvm-2.7-9.fc14
Comment 4 Fedora Update System 2010-09-20 14:40:26 EDT
llvm-2.7-9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update llvm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/llvm-2.7-9.fc14
Comment 5 Seppo Yli-Olli 2010-09-21 18:40:05 EDT
Confirmed, when updating both clang and llvm to 2.7-9.fc14 it works. Updating just llvm wasn't enough. (just to be pedantic)
Comment 6 Michel Alexandre Salim 2010-09-22 04:24:09 EDT
(In reply to comment #5)
> Confirmed, when updating both clang and llvm to 2.7-9.fc14 it works. Updating
> just llvm wasn't enough. (just to be pedantic)

Yup, Bodhi just notes the SRPM name, not the list of actual packages.
Comment 7 Fedora Update System 2010-09-28 01:48:33 EDT
llvm-2.7-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.